fglrx DKMS Pkgs

Mario Limonciello mario_limonciello at dell.com
Mon Jul 14 19:44:54 UTC 2008


Hey Pete:

Yeah I'm aware of this issue already unfortunately:

    https://bugs.edge.launchpad.net/ubuntu/+source/fglrx-installer/+bug/247376

It is caused because the 8-6 AMD driver doesn't meet the ABI
requirements for Xorg server 1.5 which is now in intrepid.  If you look
more closely, the kernel module itself (which uses DKMS to build) should
be okay, and loading properly.

At this point we have to wait for AMD to update their driver to work
with Xorg 1.5.

Regards

Pete Graner wrote:
> Mario,
>
> I wanted to give you a heads up on this one. I upgraded to Intrepid from
> Hardy on a Dell Inspiron 6400 and fglrx is completely broken. I had to
> drop back to the Hardy kernel to get X back.
>
> I'm attaching the Xorg log but the relevant errors are below:
>
> (II) LoadModule: "dri2"
>
> (WW) Warning, couldn't open module dri2
> (II) UnloadModule: "dri2"~
> (EE) Failed to load module "dri2" (module does not exist, 0)
> (II) LoadModule: "fglrx"
>
> (II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
> dlopen: /usr/lib/xorg/modules/drivers//fglrx_drv.so: undefined symbol:
> miZeroLineScreenIndex
> (EE) Failed to load /usr/lib/xorg/modules/drivers//fglrx_drv.so
> (II) UnloadModule: "fglrx"
> (EE) Failed to load module "fglrx" (loader failed, 7)
>
>
> ~pete
>
>   

-- 
Mario Limonciello
*Dell | Linux Engineering*
mario_limonciello at dell.com

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 252 bytes
Desc: OpenPGP digital signature
URL: <https://lists.ubuntu.com/archives/kernel-team/attachments/20080714/c626b625/attachment.sig>


More information about the kernel-team mailing list